Saltar al contenido principal
POST
/
hailuo
/
tasks
Hailuo Tasks
curl --request POST \
  --url https://api.acedata.cloud/hailuo/tasks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "<string>",
  "ids": [
    "<string>"
  ],
  "action": "retrieve"
}
'
import requests

url = "https://api.acedata.cloud/hailuo/tasks"

payload = {
"id": "<string>",
"ids": ["<string>"],
"action": "retrieve"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '<string>', ids: ['<string>'], action: 'retrieve'})
};

fetch('https://api.acedata.cloud/hailuo/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
  "id": "<string>",
  "request": {},
  "response": {}
}
{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}
{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}
{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}
{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}

Autorizaciones

Authorization
string
header
requerido

Encabezados

accept
enum<string>

Hailuo Tasks Param Accept

Opciones disponibles:
application/json

Cuerpo

application/json
id
string

Hailuo Tasks Id

ids
string[]

Hailuo Tasks Ids

action
enum<string>
predeterminado:retrieve

Hailuo Tasks Action

Opciones disponibles:
retrieve,
retrieve_batch

Respuesta

Hailuo Tasks Response 200

id
string

Hailuo Tasks Response 200 Id

request
object

Hailuo Tasks Response 200 Request

response
object

Hailuo Tasks Response 200 Response